Skip to content

Update Legend Entry

PUT
/api/writing/outline/legend/entries/{entry_id}

Update a legend entry’s editable fields.

entry_id
required
Entry Id
string
>= 1 characters
LegendUpdateRequest

Update a legend entry’s fields. All fields optional — only provided ones are updated.

object
title
Any of:
string
entryType
Any of:
string
description
Any of:
string
tags
Any of:
Array<string>

Successful Response

LegendEntry

A lore entry in a book/series Legend. May or may not be linked to the Legendry.

object
id
required
Id
string
outlineNodeId
required
Outlinenodeid
string
loreEntryId
required
Any of:
string
title
required
Title
string
entryType
required
Entrytype
string
categoryName
required
Categoryname
string
description
required
Description
string
tags
Tags
Array<string>
isLegendryLinked
required
Islegendrylinked
boolean
createdAt
required
Createdat
integer

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object